if(NOT LIBXML2_ROOT_DIR)
    set(LIBXML2_ROOT_DIR "${EXTERN_LIB_DIR}/libxml2")
endif(NOT LIBXML2_ROOT_DIR)


if(NOT LIBXML2_INCLUDE_DIR)
    set(LIBXML2_INCLUDE_DIR "${LIBXML2_ROOT_DIR}/include")
endif(NOT LIBXML2_INCLUDE_DIR)

if(NOT LIBXML2_INCLUDE_DIRS)
    set(LIBXML2_INCLUDE_DIRS "${LIBXML2_INCLUDE_DIR}")
endif(NOT LIBXML2_INCLUDE_DIRS)

if(NOT LIBXML2_LIBRARY)
    set(LIBXML2_LIBRARY "${LIBXML2_ROOT_DIR}/lib/libxml2.lib")
endif(NOT LIBXML2_LIBRARY)

if(NOT LIBXML2_LIBRARIES)
    set(LIBXML2_LIBRARIES "${LIBXML2_LIBRARY}")
endif(NOT LIBXML2_LIBRARIES)



if(NOT LIBXML2_DLL)
    set(LIBXML2_DLL "${LIBXML2_ROOT_DIR}/bin/libxml2.dll")
endif(NOT LIBXML2_DLL)

if(NOT LIBXML2_ZLIB_DLL)
    set(LIBXML2_ZLIB_DLL "${LIBXML2_ROOT_DIR}/bin/zlib1.dll")
endif(NOT LIBXML2_ZLIB_DLL)

if(NOT LIBXML2_ICONV_DLL)
    set(LIBXML2_ICONV_DLL "${LIBXML2_ROOT_DIR}/bin/iconv.dll")
endif(NOT LIBXML2_ICONV_DLL)
